Bug 757089 - Dest dir longer than base dir is not supported
Summary: Dest dir longer than base dir is not supported
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-25 13:07 UTC by Jan "Yenya" Kasprzak
Modified: 2017-04-04 14:56 UTC (History)
14 users (show)

Fixed In Version: rpm-4.13.0.1-4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-04 14:56:46 UTC


Attachments (Terms of Use)

Description Jan "Yenya" Kasprzak 2011-11-25 13:07:46 UTC
Description of problem:
I am trying to build some CPAN modules as RPMs (namely Env::C and IO::Socket::Multicast), but the build fails with the following error:

[...]
extracting debug info from /root/rpmbuild/BUILDROOT/perl-Env-C-0.08-1.fc16.x86_64/usr/lib64/perl5/vendor_perl/auto/Env/C/C.so
Dest dir longer than base dir is not supported
error: Bad exit status from /var/tmp/rpm-tmp.LI9AHv (%install)

I am not sure why the length of both paths should matter at all, but the cause
of the problem is that cpanspec sets up too long buildroot.
Taking the generated spec file, shortening the buildroot path, and rebuilding the package using the modified spec file works for me

Before:
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
After:
BuildRoot:      %{_tmppath}/%{name}

Version-Release number of selected component (if applicable):
cpanspec-1.78-9.fc16.noarch

How reproducible:
100 %


Steps to Reproduce:
1. cpanspec --build Env::C
  
Actual results:
build fails with the above error message

Expected results:
perl-Env-C binary and source RPMs should be built

Comment 1 Fedora End Of Life 2013-01-16 17:36:11 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Jan Pazdziora 2013-01-16 19:07:08 UTC
With

$ rpm -q cpanspec 
cpanspec-1.78-10.fc17.noarch

I was able to run

$ cpanspec --build --packager jezek Env-C-0.09.tar.gz 
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.QJ1gPX
+ umask 022
+ cd /tmp
+ cd /tmp
[...]
Wrote: /tmp/perl-Env-C-0.09-1.fc17.src.rpm
Wrote: /tmp/i386/perl-Env-C-0.09-1.fc17.i386.rpm
Executing(%clean): /bin/sh -e /var/tmp/rpm-tmp.FeV2iY
+ umask 022
+ cd /tmp
+ cd Env-C-0.09
+ rm -rf /home/adelton/rpmbuild/BUILDROOT/perl-Env-C-0.09-1.fc17.i386
+ exit 0
$

Comment 3 Fedora End Of Life 2013-02-13 22:27:12 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Richard W.M. Jones 2013-10-26 19:53:35 UTC
This happens to me in Fedora 19 when I use /build as the
_topdir path in rpmbuild.

It seems to be a developer shortcut in debugedit.c:
https://github.com/ereshetova/rpm/blob/1684b696111cca7a3b96bf22f8168baab2a2c5e6/tools/debugedit.c#L1514

Comment 5 Richard W.M. Jones 2013-10-26 19:54:47 UTC
Change summary.  This happens when building libvirt.  It has
nothing to do with cpanspec, and is just a bug in the debuginfo
generation.

Comment 6 Panu Matilainen 2013-10-28 08:06:14 UTC
Yes its not specific to cpanspec, its a general limitation coming from the fact that debugedit only does a simple string replacement, resizing things is considered to be beyond scope.

Simply using a longer %_topdir is a whole lot easier than turning debugedit into a proper dwarf-rewriter...

Comment 7 Jan Kurik 2015-07-15 15:12:45 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 8 Fedora End Of Life 2016-11-24 10:35:15 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Pavel Raiskup 2016-11-28 05:24:37 UTC
rpmbuild --define "%_builddir $PWD" causes troubles when package is built
like 'cd /tmp && fedkpg clone PKG && cd PKG && rpmbuild ..'.

Comment 10 Panu Matilainen 2017-04-04 14:56:46 UTC
This should be fixed in rawhide as a side-effect of bug 1427970. Don't expect backports to other versions.


Note You need to log in before you can comment on or make changes to this bug.